function z = filledges(z)
%y = filledges(x)
%
%fills in the nans with either nearest neighbors or interpolation

s = size(z);
f = intersect(border(z),find(isnan(z)));
[x y] = meshgrid(1:s(2),1:s(1));
z = spline2(x,y,z,x,y);

for k = 1:length(f)
    [i j] = ind2sub(s,f(k));
    temp = fillin(z(i,:)); v = temp(j)/2;
    temp = fillin(z(:,j)); v = v + temp(i)/2;
    z(i,j) = v;
end