function xi = fillin(x)
%xi = fillin(x)
%
%fillin uses interpollation to fill in a one-dimensional vector. 

x = makerow(x);
len = length(x);

fnd = find(~isnan(x));
x = [x(fnd(1)) x x(fnd(end))];
ind = 1:length(x);
fnd = find(~isnan(x));

x2 = interp1(ind(fnd),x(fnd),ind);
xi = x2(2:end-1);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function x = makerow(x)
%y = makerow(x)

x = squeeze(x);
if(size(x,2) == 1) 
    x = x';
end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%